Bug 1175899

Summary: xdg-document-portal does not work properly without fusermount
Product: [openSUSE] openSUSE Tumbleweed Reporter: Dario Faggioli <dfaggioli>
Component: GNOMEAssignee: E-mail List <gnome-bugs>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P5 - None CC: dimstar
Version: Current   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Dario Faggioli 2020-08-28 17:06:56 UTC
xdg-desktop-portal does not have an explicit runtime dependency from the fusermount binary. But in case the program is really not present in the system, things don't work.

In fact, I can see a file open/save/etc dialog being open, and I can select a file or a directory, as a location, but then nothing works. A typical example is trying to save an attachment of an email, from the Evolution flatpak. In fact, one is able to choose where to save the file, but then when checking the filesystem, it is not there.

Launching the flatpak from a terminal showed an error related to the absence of the fusermount binary in the system (which unfortunately I can't paste as I didn't stashed it anywhere, and now I've got fusermount installed).
Comment 1 Dario Faggioli 2020-08-28 17:10:35 UTC
Speaking with a few people (on IRC, mostly) the impression was that the fuse and libfuse package split may not be optimal. And since xdg-desktop-portal does indeed depend on libfuse if, for instance, fusermount would be in (or the appropriate package dragged in by) libfuse, that would solve this issue.

Still, despite not being a packaging expert, I think that in this case an explicit dependency on the fusermount binary better capture the actual sicuation.

Hence I gave it a go and produced this: https://build.opensuse.org/request/show/830324

Feedback more than welcome. :-)
Comment 2 OBSbugzilla Bot 2020-08-31 15:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1175899) was mentioned in
https://build.opensuse.org/request/show/830851 Factory / xdg-desktop-portal
Comment 3 Dominique Leuenberger 2020-11-09 15:12:01 UTC
(In reply to OBSbugzilla Bot from comment #2)
> This is an autogenerated message for OBS integration:
> This bug (1175899) was mentioned in
> https://build.opensuse.org/request/show/830851 Factory / xdg-desktop-portal

Has been merged into snapshot 20200904
Comment 6 Swamp Workflow Management 2021-04-07 16:15:46 UTC
SUSE-SU-2021:1094-1: An update that solves one vulnerability, contains one feature and has three fixes is now available.

Category: security (important)
Bug References: 1133120,1133124,1175899,1180996
CVE References: CVE-2021-21261
JIRA References: SLE-7171
Sources used:
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    flatpak-1.10.2-4.6.1, libostree-2020.8-3.3.2, xdg-desktop-portal-1.8.0-5.3.2, xdg-desktop-portal-gtk-1.8.0-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    libostree-2020.8-3.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-04-09 04:19:03 UTC
openSUSE-SU-2021:0520-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1133120,1133124,1175899,1180996
CVE References: CVE-2021-21261
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    flatpak-1.10.2-lp152.3.6.1, libostree-2020.8-lp152.2.3.1, xdg-desktop-portal-1.8.0-lp152.4.3.1, xdg-desktop-portal-gtk-1.8.0-lp152.2.3.1